<?php
namespace App\Worldspan\StructureParser\Structures\MCO;

class Supplier extends \App\Worldspan\StructureParser\Structures\Base\Supplier
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes, ) = $this->getTransactionDetails();

		$RO = $parsedStructure['MCO'][$transactionIndexes['MCOIdx']]['RO'];

		$item = new \App\Worldspan\StructureParser\Types\Supplier();
		$item->code3 = $RO['ValidatingCarrierNumber'];
		$item->codeAirline = $RO['ValidatingCarrierCode'];

		return $item;
	}
}
